{
  "name": "neptune-privacy",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "workspaces": [
    "packages/*"
  ],
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc -b && vite build",
    "preview": "vite preview",
    "type-check": "vue-tsc --build --force",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .eslintignore",
    "format": "prettier --write \"src/**/*.{js,jsx,ts,tsx,vue,css,scss,json}\"",
    "tauri": "tauri",
    "tauri:dev": "tauri dev",
    "tauri:build": "tauri build"
  },
  "dependencies": {
    "@neptune/native": "file:./packages/neptune-native",
    "@neptune/wasm": "file:./packages/neptune-wasm",
    "@tailwindcss/vite": "^4.1.17",
    "@tanstack/vue-form": "^1.26.0",
    "@tauri-apps/api": "^2.9.0",
    "@vueuse/core": "^14.0.0",
    "axios": "^1.7.9",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "lucide-vue-next": "^0.554.0",
    "pinia": "^2.3.1",
    "reka-ui": "^2.6.0",
    "tailwind-merge": "^3.4.0",
    "tailwindcss": "^4.1.17",
    "tailwindcss-animate": "^1.0.7",
    "vue": "^3.5.24",
    "vue-i18n": "^10.0.8",
    "vue-router": "^4.5.0",
    "vue-sonner": "^2.0.9",
    "zod": "^4.1.13"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.15.0",
    "@tauri-apps/cli": "^2.9.4",
    "@types/node": "^24.10.1",
    "@typescript-eslint/eslint-plugin": "^8.0.0",
    "@typescript-eslint/parser": "^8.0.0",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vue/eslint-config-prettier": "^10.0.0",
    "@vue/eslint-config-typescript": "^14.0.0",
    "@vue/tsconfig": "^0.8.1",
    "eslint": "^9.0.0",
    "eslint-plugin-vue": "^9.30.0",
    "prettier": "^3.4.0",
    "typescript": "~5.9.3",
    "unplugin-auto-import": "^20.2.0",
    "unplugin-vue-components": "^30.0.0",
    "vite": "^7.2.4",
    "vite-plugin-top-level-await": "^1.6.0",
    "vite-plugin-wasm": "^3.5.0",
    "vue-tsc": "^3.1.4"
  }
}
